API ReferencePlatform

List Monitor Events

GET
/simpleserve/v1/monitors/{monitor_id}/events

Path Parameters

monitor_id*Monitor Id

Query Parameters

limit?Limit
Range1 <= value <= 100
Default20
after?string|null

Header Parameters

authorization?Authorization
Default""
xi-api-key?Xi-Api-Key
Default""

Response Body

application/json

application/json

curl -X GET "https://example.com/simpleserve/v1/monitors/string/events"
{  "object": "list",  "data": [    {      "id": "string",      "object": "vision.event",      "type": "event.detected",      "monitor_id": "string",      "when": "string",      "observed_start_at": "2019-08-24T14:15:22Z",      "observed_end_at": "2019-08-24T14:15:22Z",      "detected_at": "2019-08-24T14:15:22Z",      "first_sent_at": "2019-08-24T14:15:22Z",      "delivered_at": "2019-08-24T14:15:22Z",      "detection_latency_ms": 0,      "evidence": {        "description": "string",        "window_started_at": "2019-08-24T14:15:22Z",        "window_ended_at": "2019-08-24T14:15:22Z",        "clip_url": "http://example.com"      },      "metadata": {        "property1": "string",        "property2": "string"      }    }  ],  "has_more": true}